"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.check_remaining_reserve = exports.check_quantity = void 0;
const eos_common_1 = require("eos-common");
function check_quantity(quantity) {
    eos_common_1.check(new eos_common_1.Asset(quantity).amount.greater(0), "[quantity] amount must be positive");
    eos_common_1.check(new eos_common_1.Asset(quantity).is_valid(), "[quantity] invalid symcode");
}
exports.check_quantity = check_quantity;
function check_remaining_reserve(out, tokens) {
    // validate input
    const token = tokens[new eos_common_1.Asset(out).symbol.code().to_string()];
    eos_common_1.check(!!token, "[symcode] token does not exist");
    const remaining = eos_common_1.Asset.minus(token.reserve, new eos_common_1.Asset(out));
    eos_common_1.check(remaining.amount.greaterOrEquals(0), remaining.symbol.code().to_string() + " insufficient remaining reserve");
}
exports.check_remaining_reserve = check_remaining_reserve;
