"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.stateTable = exports.stateTableRow = void 0;
function stateTableRow(client, code, scope, table, primaryKey, block_num) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { row } = yield client.stateTableRow(code, scope, table, primaryKey, { blockNum: block_num, json: true });
            if (!row.json)
                throw new Error(primaryKey + " `primaryKey` not found");
            return row.json;
        }
        catch (e) {
            throw new Error(`missing ${code}:${scope}:${table}:${primaryKey}`);
        }
    });
}
exports.stateTableRow = stateTableRow;
function stateTable(client, code, scope, table, block_num) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { rows } = yield client.stateTable(code, scope, table, { blockNum: block_num, json: true });
            if (!rows.length || !rows[0].json)
                throw new Error("no rows found");
            return rows[0].json;
        }
        catch (e) {
            throw new Error(`missing ${code}:${scope}:${table}`);
        }
    });
}
exports.stateTable = stateTable;
