import { DfuseClient } from "@dfuse/client";
import { CurvePairs } from "./get_curve";
export interface CurveGrowth extends CurvePairs {
    block_num: number;
    block_num_previous: number;
    block_num_delta: number;
    apy_average_revenue: number;
    apy_realtime_revenue: number;
    volume: number;
    tvl: number;
    tvl_growth: number;
    utilization: number;
    fees: number;
    growth: number;
    trades: number;
    virtual_price: number;
    virtual_price_growth: number;
}
export declare function get_dfuse_curve(client: DfuseClient, symcode: string, block_num: number): Promise<CurvePairs>;
export declare function get_curve_growth(client: DfuseClient, symcode: string, block_num: number, block_num_delta?: number, trade_fee?: number, protocol_fee?: number): Promise<CurveGrowth>;
