"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_inverse_fee = exports.get_fee = void 0;
const eos_common_1 = require("eos-common");
function get_fee(quantity, settings) {
    const { amount, symbol } = eos_common_1.asset(quantity);
    const fee = settings.fee * Number(amount) / 10000;
    return new eos_common_1.Asset(fee, symbol);
}
exports.get_fee = get_fee;
function get_inverse_fee(out, settings) {
    const { amount, symbol } = eos_common_1.asset(out);
    const fee = Number(amount) / ((10000 - settings.fee) / 10000) - Number(amount);
    return new eos_common_1.Asset(fee, symbol);
}
exports.get_inverse_fee = get_inverse_fee;
