"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_inverse_rate = exports.get_rate = void 0;
const eos_common_1 = require("eos-common");
const get_fee_1 = require("./get_fee");
const get_price_1 = require("./get_price");
function get_rate(quantity, symcode, tokens, settings) {
    // params
    const _quantity = new eos_common_1.Asset(quantity);
    const quote = new eos_common_1.SymbolCode(symcode);
    const quote_sym = tokens[quote.to_string()].balance.symbol;
    // calculations
    const fee = get_fee_1.get_fee(_quantity, settings);
    const price = get_price_1.get_price(eos_common_1.Asset.minus(_quantity, fee), quote, tokens, settings);
    const rate = eos_common_1.number_to_asset(price, quote_sym);
    return rate;
}
exports.get_rate = get_rate;
function get_inverse_rate(out, symcode, tokens, settings) {
    const price = get_price_1.get_inverse_price(out, symcode, tokens, settings);
    const fee = get_fee_1.get_inverse_fee(price, settings);
    const rate = eos_common_1.Asset.plus(price, fee);
    return rate;
}
exports.get_inverse_rate = get_inverse_rate;
