"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_settings = void 0;
function get_settings(rpc, code) {
    return __awaiter(this, void 0, void 0, function* () {
        // optional params
        const scope = code;
        const table = "settings";
        const results = yield rpc.get_table_rows({ json: true, code, scope, table, limit: 1 });
        if (!results.rows.length)
            throw new Error("contract is unavailable or currently disabled for maintenance");
        return {
            fee: results.rows[0].fee,
            amplifier: results.rows[0].amplifier,
        };
    });
}
exports.get_settings = get_settings;
