"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_slippage = void 0;
const eos_common_1 = require("eos-common");
const get_spot_price_1 = require("./get_spot_price");
const get_price_1 = require("./get_price");
function get_slippage(quantity, symcode, tokens, settings) {
    const _quantity = new eos_common_1.Asset(quantity);
    // calculate current price
    const price = get_price_1.get_price(_quantity, symcode, tokens, settings);
    // calculate price using 1 as unit
    const spot_price = 1 / get_spot_price_1.get_spot_price(_quantity.symbol.code(), symcode, tokens, settings);
    const spot_price_per_unit = spot_price * eos_common_1.asset_to_number(_quantity);
    return spot_price_per_unit / price - 1;
}
exports.get_slippage = get_slippage;
