"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_tokens = void 0;
const eos_common_1 = require("eos-common");
function get_tokens(rpc, code, limit = 50) {
    return __awaiter(this, void 0, void 0, function* () {
        const tokens = {};
        // optional params
        const scope = code;
        const table = "tokens";
        const results = yield rpc.get_table_rows({ json: true, code, scope, table, limit });
        for (const row of results.rows) {
            const [precision, symcode] = row.sym.split(",");
            tokens[symcode] = {
                sym: new eos_common_1.Sym(symcode, precision),
                contract: new eos_common_1.Name(row.contract),
                balance: new eos_common_1.Asset(row.balance),
                depth: new eos_common_1.Asset(row.depth),
                reserve: new eos_common_1.Asset(row.reserve),
                virtual_reserve: new eos_common_1.Asset(row.virtual_reserve)
            };
        }
        return tokens;
    });
}
exports.get_tokens = get_tokens;
