"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_uppers = void 0;
const eos_common_1 = require("eos-common");
function get_uppers(base, quote, tokens, settings) {
    // balances
    const base_balance = eos_common_1.asset_to_number(tokens[base.to_string()].balance);
    const quote_balance = eos_common_1.asset_to_number(tokens[quote.to_string()].balance);
    // depth
    const base_depth = eos_common_1.asset_to_number(tokens[base.to_string()].depth);
    const quote_depth = eos_common_1.asset_to_number(tokens[quote.to_string()].depth);
    // ratio
    const base_ratio = base_balance / base_depth;
    const quote_ratio = quote_balance / quote_depth;
    // upper
    const base_upper = (settings.amplifier * base_depth - base_depth + (base_depth * base_ratio));
    const quote_upper = (settings.amplifier * quote_depth - quote_depth + (quote_depth * quote_ratio));
    return [base_upper, quote_upper];
}
exports.get_uppers = get_uppers;
