"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_volume = void 0;
function parse_volume(row) {
    const volume = {};
    const fees = {};
    // volume
    for (const { key, value } of row.volume) {
        volume[key] = Number(value.split(" ")[0]);
    }
    // fees
    for (const { key, value } of row.fees) {
        fees[key] = Number(value.split(" ")[0]);
    }
    return {
        timestamp: row.timestamp,
        volume,
        fees
    };
}
function get_volume(rpc, code, limit = 1) {
    return __awaiter(this, void 0, void 0, function* () {
        // optional params
        const scope = code;
        const table = "volume";
        const volume = [];
        const results = yield rpc.get_table_rows({ json: true, code, scope, table, reverse: true, limit });
        for (const row of results.rows) {
            volume.push(parse_volume(row));
        }
        return volume;
    });
}
exports.get_volume = get_volume;
